Subject: Re: bug#1779: 23.0.60; proced with variable-pitch header line

From: Chong Yidong <[email-masked]>
Date: Fri, 22 Jul 2011 01:15:37 -0400

"Roland Winkler" <[email-masked]> writes:

> Thanks, I'll have to find out what Tabulated List mode is doing.
> I am just wondering: In general, proced was much inspired by dired.
> Would you suggest that dired should likewise use Tabulated List mode?

T-L mode is not suitable for Dired, because not every line is an
"entry", i.e. the first two summary lines---which are also the reason
why Dired does not use the header line.  Other Dired features, like
showing multiple directories, also break T-L mode assumptions.

One mode that could be usefully converted to use T-L mode is Buffer Menu
mode.  Maybe we'll get round to that in a future major Emacs version.